Announcement

Collapse
No announcement yet.

Ubuntu 16.04, Radeon HD 7450, OpenGL won't update to 4.3

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

    Ubuntu 16.04, Radeon HD 7450, OpenGL won't update to 4.3

    I am running Ubuntu 16.04 with an AMD FX-6300 Six-Core Processor and a Radeon HD 7450 (AMD CAICOS) graphics card.

    I was following the "How to Update OpenGL" sticky, but somewhere I think I screwed it up.

    Code:
    sudo apt-get install ppa-purge && sudo ppa-purge ppa:ubuntu-x-swat/updates
    sudo add-apt-repository ppa:oibaf/graphics-drivers
    sudo apt-get update
    Not sure why I used "sudo apt-get update" instead of "sudo apt update && sudo apt dist-upgrade". Also, I think I wasn't supposed to purge the ubuntu-x-swat ppa.

    When I try to run the development suite I get an error saying that OpenGL 4.3 is required. Also, now when I try to play Mordheim (through Windows Steam Client under Wine, which worked perfectly well two days ago), the player models don't appear.

    I tried to reinstall the ubuntu-x-swat ppa.

    Code:
    sudo add-apt-repository ppa:ubuntu-x-swat/updates
    sudo apt update && sudo apt dist-upgrade
    No luck.

    I purged the Oibaf ppa.

    Code:
    sudo apt-get install ppa-purge && sudo ppa-purge ppa:oibaf/graphics-drivers
    sudo apt update && sudo apt dist-upgradeinstalling
    Still no luck.

    When I run glxinfo I get the following:

    Code:
    ~$ glxinfo | grep OpenGL
    OpenGL vendor string: X.Org
    OpenGL renderer string: AMD CAICOS (DRM 2.50.0 / 4.13.0-32-generic, LLVM 5.0.0)
    OpenGL core profile version string: 3.3 (Core Profile) Mesa 17.3.3
    OpenGL core profile shading language version string: 3.30
    OpenGL core profile context flags: (none)
    OpenGL core profile profile mask: core profile
    OpenGL core profile extensions:
    OpenGL version string: 3.0 Mesa 17.3.3
    OpenGL shading language version string: 1.30
    OpenGL context flags: (none)
    OpenGL extensions:
    OpenGL ES profile version string: OpenGL ES 3.0 Mesa 17.3.3
    OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.00
    OpenGL ES profile extensions:
    I reinstalled the oibaf drivers.

    Code:
    sudo add-apt-repository ppa:oibaf/graphics-drivers
    sudo apt update && sudo apt dist-upgrade
    Where do I go from here?

    #2
    I'm afraid your videocard hasn't reached OGL 4.3 support yet, because Caicos was based on the previous Terascale2 architecture instead of GCN like the Radeon HD 7700 and up. Chipset Table for Radeon HD 7000 Series

    Lately there's been some activity on the r600 driver but i'm afraid it will only benefit graphic cards with full precision support (so the higher tier HD 6900 and just a few other) so there's not really much you can do. Either way your card will probably run UT4 at 5 fps, so my advice is to upgrade to something newer if you can find a deal somewhere. It won't be easy, unfortunately. I know.

    Also you probably did something wrong by reinstalling the x-swat/updates ppa BEFORE purging oibaf. My advice is to purge any ppa you have installed now (both oibaf and x-swat/updates) so that your mesa will return to the default one and then start over from there. You can also use a simple apt-get upgrade now instead of dist-upgrade everytime.
    Last edited by SgtRenny; 03-07-2018, 07:17 PM.
    uWarfare :: Website :: devART :: Italian UEd Community @ Exiles of UEd

    Comment


      #3
      Sorry for the double post, but I'd start to look at the padoka PPA if i were you. News from this morning: David Airlie Moves Toward Upstreaming Soft FP64 Support In Mesa
      uWarfare :: Website :: devART :: Italian UEd Community @ Exiles of UEd

      Comment


        #4
        I'm running ubuntu16.04. When I run
        glxinfo I get the following:

        ~$ glxinfo | grep OpenGL
        OpenGL vendor string: Mesa project: www.mesa3d.org
        OpenGL renderer string: Mesa GLX Indirect
        OpenGL version string: 1.3 Mesa 4.0.4
        OpenGL extensions:

        then, how to upgrade to 3.0 ? Thanks´╝ü

        Comment

        Working...
        X